Package com.emc.documentum.rest.attributeview.api

# Enum Class AttributeView.ViewName

java.lang.Object
java.lang.Enum<AttributeView.ViewName>
com.emc.documentum.rest.attributeview.api.AttributeView.ViewName

All Implemented Interfaces:
  `Serializable`, `Comparable<AttributeView.ViewName>`, `Constable`

Enclosing class:
  AttributeView

public static enum AttributeView.ViewName extends Enum<AttributeView.ViewName>
The name for the view. There are four possible values, DEFAULT, ALL, NONE and CUSTOM. The former three are names for the three predefined views.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `CUSTOM`
  `DEFAULT`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttributeView.ViewName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AttributeView.ViewName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final AttributeView.ViewName DEFAULT

  - ### ALL

    public static final AttributeView.ViewName ALL

  - ### NONE

    public static final AttributeView.ViewName NONE

  - ### CUSTOM

    public static final AttributeView.ViewName CUSTOM

- ## Method Details

  - ### values

    public static AttributeView.ViewName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AttributeView.ViewName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null